Subject: Re: [PATCH] pseries: phyp dump: Variable size reserve space.

From: Manish Ahuja <[email-masked]>
Date: Fri, 18 Apr 2008 14:08:51 -0500

Yeah, that makes sense, I will shortly send a documentation patch for all the boot vars
that I have added.

Thanks for reminding.

-Manish

Linas Vepstas wrote:
> On 07/04/2008, Manish Ahuja <[email-masked]> wrote:
>> A small proposed change in the amount of reserve space we allocate during boot.
>>  Currently we reserve 256MB only.
>>  The proposed change does one of the 3 things.
>>
>>  A. It checks to see if there is cmdline variable set and if found sets the
>>    value to it. OR
>>  B. It computes 5% of total ram and rounds it down to multiples of 256MB. AND
>>  C. Compares the rounded down value and returns larger of two values, the new
>>    computed value or 256MB.
>>
>>  Again this is for large systems who have excess memory.
>>
> [...]
>>   early_param("phyp_dump", early_phyp_dump_enabled);
> 
> I'm pretty sure you will want to document this boot param in the documentation,
> as well as add a few words about why it might be interesting to users (i.e.
> that its for large systems...)
> 
> --linas